<?php

namespace app\Http\Models;

use Illuminate\Database\Eloquent\Model;

class PemeriksaanHpk extends Model
{
    protected $table = 'pemeriksaan_hpk';
    protected $fillable = ['id_pemeriksaan_hpk','perkembangan_anak_id','tgl_pemeriksaan_hpk','berat_badan','tinggi_badan','asi_eksklusif','mp_asi','bulan','bb_u','pb_u','bb_pb','tgl_simpan_hpk','users_id'];
    protected $primaryKey = "id_pemeriksaan_hpk";
    public $timestamps = false;

    public function perkembangan(){
        return $this->belongsTo('App\Http\Models\PerkembanganAnak','perkembangan_anak_id');        
    }

    public function users(){
        return $this->belongsTo('App\Http\Models\Users','users_id');        
    }
}
